<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
 xmlns:dmi="http://www.ansys.com/ekm/dmi"
 targetNamespace="http://www.ansys.com/ekm/dmi">

    <xsd:simpleType name="modelRegistryType">
        <xsd:restriction base="xsd:string">
            <xsd:enumeration value="filesystem" />
            <xsd:enumeration value="workspace" />
        </xsd:restriction>
    </xsd:simpleType>  

    <xsd:complexType name="output">
        <xsd:all>
            <xsd:element name="baseDir" type="xsd:string"/>
            <xsd:element name="comparisonReportFile" type="xsd:string"/>
            <xsd:element name="modelRegistryAdir" type="xsd:string"/>
            <xsd:element name="modelRegistryBdir" type="xsd:string"/>
        </xsd:all>
    </xsd:complexType>
    
    <xsd:complexType name="modelRegistry">    
        <xsd:all>
            <xsd:element name="type" type="dmi:modelRegistryType"/>
            <xsd:element name="path" type="xsd:string" minOccurs="0"/>
            <xsd:element name="workspace" type="xsd:string" minOccurs="0"/>
        </xsd:all>
    </xsd:complexType>

    <xsd:complexType name="AppConfig">
        <xsd:all>
            <xsd:element name="debug" type="xsd:boolean" minOccurs="0"/>
            <xsd:element name="output" type="dmi:output"/>
            <xsd:element name="modelRegistryA" type="dmi:modelRegistry"/>
            <xsd:element name="modelRegistryB" type="dmi:modelRegistry"/>
        </xsd:all>
    </xsd:complexType>  
    
    <xsd:element name="config" type="dmi:AppConfig"/>
    
</xsd:schema>